RDKit: RDKit::RGroupDecomposition Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::RGroupDecomposition Class Reference

`#include <RGroupDecomp.h>`

## Public Member Functions
| RGroupDecomposition (const ROMol &core, const RGroupDecompositionParameters &params=RGroupDecompositionParameters())
| RGroupDecomposition (const std::vector< ROMOL_SPTR > &cores, const RGroupDecompositionParameters &params=RGroupDecompositionParameters())
| ~RGroupDecomposition ()
int | getMatchingCoreIdx (const ROMol &mol, std::vector< MatchVectType > *matches=nullptr)
int | add (const ROMol &mol)
RGroupDecompositionProcessResult | processAndScore ()
bool | process ()
const RGroupDecompositionParameters & | params () const
std::vector< std::string > | getRGroupLabels () const
| return the current group labels
RGroupRows | getRGroupsAsRows () const
| return rgroups in row order group[row][attachment_point] = ROMol
RGroupColumns | getRGroupsAsColumns () const
| return rgroups in column order group[attachment_point][row] = ROMol

## Detailed Description

Definition at line 55 of file RGroupDecomp.h.

## Constructor & Destructor Documentation

## ◆ RGroupDecomposition() [1/2]

RDKit::RGroupDecomposition::RGroupDecomposition | ( | const ROMol & | core,
|  | const RGroupDecompositionParameters & | params = RGroupDecompositionParameters() )

References params().

## ◆ RGroupDecomposition() [2/2]

RDKit::RGroupDecomposition::RGroupDecomposition | ( | const std::vector< ROMOL_SPTR > & | cores,
|  | const RGroupDecompositionParameters & | params = RGroupDecompositionParameters() )

References params().

## ◆ ~RGroupDecomposition()

RDKit::RGroupDecomposition::~RGroupDecomposition | ( |  | ) |

## Member Function Documentation

## ◆ add()

int RDKit::RGroupDecomposition::add | ( | const ROMol & | mol | ) |

Returns the index of the added molecule in the RGroupDecomposition or a negative error code

Parameters

  mol | Molecule to add to the decomposition

Returns
  index of the molecule or -1 if none of the core matches -2 if the matched molecule has no sidechains, i.e. is the same as the scaffold

## ◆ getMatchingCoreIdx()

int RDKit::RGroupDecomposition::getMatchingCoreIdx | ( | const ROMol & | mol,
|  | std::vector< MatchVectType > * | matches = nullptr )

Returns the index of the core matching the passed molecule and optionally the matching atom indices

Parameters

  mol | Molecule to check for matches
  matches | Optional pointer to std::vector<MatchVectType> where core matches will be stored

Returns
  the index of the matching core, or -1 if none matches

## ◆ getRGroupLabels()

std::vector< std::string > RDKit::RGroupDecomposition::getRGroupLabels | ( |  | ) | const

return the current group labels

## ◆ getRGroupsAsColumns()

RGroupColumns RDKit::RGroupDecomposition::getRGroupsAsColumns | ( |  | ) | const

return rgroups in column order group[attachment_point][row] = ROMol

## ◆ getRGroupsAsRows()

RGroupRows RDKit::RGroupDecomposition::getRGroupsAsRows | ( |  | ) | const

return rgroups in row order group[row][attachment_point] = ROMol

## ◆ params()

const RGroupDecompositionParameters & RDKit::RGroupDecomposition::params | ( |  | ) | const

Referenced by RGroupDecomposition(), and RGroupDecomposition().

## ◆ process()

bool RDKit::RGroupDecomposition::process | ( |  | ) |

## ◆ processAndScore()

RGroupDecompositionProcessResult RDKit::RGroupDecomposition::processAndScore | ( |  | ) |

The documentation for this class was generated from the following file:

- RGroupDecomp.h